## node-playwright 1.38.0%2Bds

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
repacksuffix=+ds,\
filenamemangle=s/.+\/v?(\d\S+)@ARCHIVE_EXT@/node-playwright-$1\.tar\.gz/ \
 https://github.com/Microsoft/playwright/tags .*/v?(\d\S+)\.tar\.gz

## node-playwright 1.38.0+ds

=== utils/doclint/linting-code-snippets/python/requirements.txt ===
black==23.3.0

=== debian/changelog ===
node-playwright (1.38.0+ds-3) unstable; urgency=medium

  * Don't try autopkgtest on armel: missing dependencies

 -- Yadd <yadd@debian.org>  Thu, 14 Dec 2023 09:40:20 +0400

node-playwright (1.38.0+ds-2) unstable; urgency=medium

  * Add patch for node-minimatch >= 9

 -- Yadd <yadd@debian.org>  Sun, 29 Oct 2023 08:27:07 +0400

node-playwright (1.38.0+ds-1) unstable; urgency=medium

  * Initial release (Closes: #1052170)

 -- Yadd <yadd@debian.org>  Mon, 18 Sep 2023 21:14:32 +0400

=== debian/control ===
Source: node-playwright
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Yadd <yadd@debian.org>
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , dh-nodejs
 , node-ansi-colors
 , node-babel7
 , node-chokidar
 , node-colors
 , node-commander
 , node-debug
 , node-enquirer
 , node-esbuild
 , node-expect
 , node-extract-zip
 , node-graceful-fs
 , node-https-proxy-agent
 , node-jest-matcher-utils
 , node-json5
 , node-mime
 , node-minimatch
 , node-open
 , node-pend
 , node-pirates
 , node-progress
 , node-proxy-from-env
 , node-retry
 , node-rimraf
 , node-signal-exit
 , node-socks-proxy-agent
 , node-source-map
 , node-stack-utils
 , node-typescript
 , node-ws
 , node-yauzl
 , node-yazl
Standards-Version: 4.6.2
Homepage: https://playwright.dev
Vcs-Git: https://salsa.debian.org/js-team/node-playwright-test.git
Vcs-Browser: https://salsa.debian.org/js-team/node-playwright-test
Rules-Requires-Root: no

Package: node-playwright
Architecture: all
Depends: ${misc:Depends}
 , nodejs:any
Recommends: firefox | chromium
Provides: ${nodejs:Provides}
 , playwright
Description: JavaScript framework for Web Testing and Automation
 node-playwright is a framework for Web Testing and Automation. It allows
 testing Chromium, Firefox and WebKit with a single API. Playwright is
 built to enable cross-browser web automation that is ever-green, capable,
 reliable and fast.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	ln -s ../packages/playwright node_modules/ || true
	node utils/build/build.js
	rm -f node_modules/playwright

override_dh_fixperms:
	dh_fixperms
	chmod +x `find debian/node-playwright/usr/share/nodejs -name cli.js`

override_dh_installdocs:
	dh_installdocs
	dh_nodejs_autodocs

=== debian/tests/control ===
Test-Command: /usr/share/pkg-js-autopkgtest/runner require
Depends: @, nodejs, pkg-js-autopkgtest, 
Restrictions: superficial, skippable, 
Features: test-name=pkg-js-autopkgtest-require
Architecture: amd64, arm64, armhf, i386, ppc64el, s390x
